Bug 1286092 - Enforce USE_STUB_INSTALLER when expecting to build the stub. r=gps
authorJustin Wood <Callek@gmail.com>
Fri, 25 May 2018 13:40:59 -0400
changeset 474740 a562a809e8dc82d5ab315f5ebdcc316b214e50cc
parent 474739 e250856b46880cee2b608cfd01d93e1e5741b29d
child 474741 e73477aafd06d02e1e8ad17fbddba329beb6e996
push id9374
push userjlund@mozilla.com
push dateMon, 18 Jun 2018 21:43:20 +0000
treeherdermozilla-beta@160e085dfb0b [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersgps
bugs1286092
milestone62.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1286092 - Enforce USE_STUB_INSTALLER when expecting to build the stub. r=gps for L10n jobs should run per-push based on the corresponding builds Differential Revision: https://phabricator.services.mozilla.com/D1407
browser/confvars.sh
--- a/browser/confvars.sh
+++ b/browser/confvars.sh
@@ -17,16 +17,22 @@ if test "$OS_ARCH" = "WINNT"; then
   MOZ_MAINTENANCE_SERVICE=1
   if ! test "$HAVE_64BIT_BUILD"; then
     if test "$MOZ_UPDATE_CHANNEL" = "nightly" -o \
             "$MOZ_UPDATE_CHANNEL" = "nightly-try" -o \
             "$MOZ_UPDATE_CHANNEL" = "aurora" -o \
             "$MOZ_UPDATE_CHANNEL" = "beta" -o \
             "$MOZ_UPDATE_CHANNEL" = "release"; then
       if ! test "$MOZ_DEBUG"; then
+        if ! test "$USE_STUB_INSTALLER"; then
+          # Expect USE_STUB_INSTALLER from taskcluster for downstream task consistency
+          echo "ERROR: STUB installer expected to be enabled but"
+          echo "ERROR: USE_STUB_INSTALLER is not specified in the environment"
+          exit 1
+        fi
         MOZ_STUB_INSTALLER=1
       fi
     fi
   fi
 fi
 
 # Enable building ./signmar and running libmar signature tests
 MOZ_ENABLE_SIGNMAR=1